using CPF.Controls;
using OMCS.Communication.Basic;
using System;

namespace OVCS.ClientLinux.Tools
{
    public class CustomizeHandler  
    {

        public bool CanHandle(int informationType)
        {
            return informationType >= 50 && informationType <= 100;

        }

        /// <summary>
        ///  处理消息,如果sourceUserID为null， 则表示是服务端发送过来的消息；如果sourceUserID不为null， 则表示是其他客户端发送过来的消息
        /// </summary>       
        public void HandleInformation(string sourceUserID, ClientType clientType, int informationType, byte[] info)
        {
            try
            {

            }
            catch (Exception ee)
            {
                MessageBox.Show(ee.Message + " - " + ee.StackTrace );
            }
        }

        public byte[] HandleQuery(string sourceUserID, ClientType clientType, int informationType, byte[] info)
        {
            return null;
        }
    }
}
